//app.js
App({
    onLaunch: function() {
        // 展示本地存储能力
        var logs = wx.getStorageSync('logs') || []
        logs.unshift(Date.now())
        wx.setStorageSync('logs', logs)


        var self = this
        // 登录
        wx.login({
            success: res => {
                // 发送 res.code 到后台换取 openId, sessionKey, unionId
                wx.request({
                    url: 'https://sdsw.rooodad.com/' + 'rooodad/wx_login',
                    data: {
                        js_code: res.code,
                        appid:"wxab219319d77db3bb",
                        secret:"b94c44565b5a0b228c778bdbc156d842"
                    },
                    method: "POST",
                    header: {
                        'content-type': 'application/json' // 默认值
                    },
                    success: function(res) {
                        console.log(res)
                        if (res.statusCode == "200") {
                            var openid = res.data.openid;
                            var userid = res.data.userid;

                            self.globalData.userIds = {}
                            self.globalData.userIds.openid = (openid ? openid : "")
                            
                            self.globalData.userIds.userid = (userid ? userid : "")
                                
                           
                            self.globalData.userid_flag = 1;
                            console.log(self.globalData.userIds)

                            // getData(self.globalData.userIds.openid)
                        } else {
                            wx.showToast({
                                title: res.errMsg,
                                icon: 'none',
                                duration: 2000
                            })
                        }
                    }
                })
            }
        })
        
        // 获取用户信息
        wx.getSetting({
            success: res => {
                if (res.authSetting['scope.userInfo']) {
                    // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
                    wx.getUserInfo({
                        success: res => {
                            // 可以将 res 发送给后台解码出 unionId
                            this.globalData.userInfo = res.userInfo

                            // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
                            // 所以此处加入 callback 以防止这种情况
                            if (this.userInfoReadyCallback) {
                                this.userInfoReadyCallback(res)
                            }
                        }
                    })
                }
            }
        })
        
        wx.request({
            url: 'https://if.auto.soooner.com/lwtt04', 
            data: {
                userid:"3a46de656b014719ad1ab4fcbd50901d",
                token:"tomorrow"
            },
            method:"POST",
            header: {
                'content-type': 'application/json' // 默认值
            },
            success(res) {
                console.log(res)
                self.globalData.lkData = {
                    distance: res.data.distance,
                    timespan: res.data.timespan
                }
            }
        })
    },
    globalData: {
        userInfo: null,
        lkData:null,
        httpUrl:'https://if.auto.soooner.com/'
    }
})