//index.js
//获取应用实例
const app = getApp()
const util = require("../../utils/util.js")

Page({
    data: {
        latitude: 39.90,
        longitude: 116.38,
        hasUserInfo: false,
        canIUse: wx.canIUse('button.open-type.getUserInfo'),
        contentPlay:null,
        isGetTT:false
    },
    //事件处理函数
    bindViewTap: function() {
    },
    getShellSwiper:function(e){
        console.log(e)
    },
    navigateTo: function(e){
        wx.navigateTo({
            url: '../detail/detail?mid=23' 
        })
          
    },
    onReady: function (e) {
        var self = this;
        wx.getLocation({
            success: res => {
                // app.globalData.userInfo = res.userInfo
                console.log(res)
                app.globalData.gps = {
                    "latitude": res.latitude,
                    "longitude": res.longitude
                }
                this.setData({
                    latitude: res.latitude,
                    longitude: res.longitude
                })
                this.mapCtx = wx.createMapContext('myMap');
            }
        })
        var i = 0;
        var timer = setInterval(function(){
            // i++;
            // console.log(i)
            if(app.globalData.userid_flag == 1) {
                console.log(i)
                clearInterval(timer)
                wx.request({
                    url: app.globalData.httpUrl+ 'lwtt02',
                    data: {
                        userid: app.globalData.userIds.openid,
                        token: "aNvHanzi"
                    },
                    method: "POST",
                    header: {
                        'content-type': 'application/json' // 默认值
                    },
                    success: function (res) {
                        if (res.statusCode == "200") {
                            app.globalData.contentPlay = res.data.list;
                            console.log(res.data.list)
                            self.setData({
                                contentPlay: res.data.list,
                                isGetTT:true
                            })
                        } else {
                            wx.showToast({
                                title: res.errMsg,
                                icon: 'none',
                                duration: 2000
                            })
                        }
                    }
                })
            }
        },10)
        // function getData(userid) {
            

        // }

        if (app.globalData.userInfo) {
            console.log("11111")
            this.setData({
                userInfo: app.globalData.userInfo,
                hasUserInfo: true
            })
        } else if (this.data.canIUse) {
            // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
            // 所以此处加入 callback 以防止这种情况
            console.log("22222")
            app.userInfoReadyCallback = res => {
                this.setData({
                    userInfo: res.userInfo,
                    hasUserInfo: true
                })
                app.globalData.userInfo = res.userInfo
            }
        } else {
            console.log("33333")
            // 在没有 open-type=getUserInfo 版本的兼容处理
            wx.getUserInfo({
                success: res => {
                    app.globalData.userInfo = res.userInfo
                    this.setData({
                        userInfo: res.userInfo,
                        hasUserInfo: true
                    })
                }
            })
        }
        // 获取定位信息、

        // util.getData(gps.latitude, gps.longitude)
        // 初始化数据
        // util.getData(app.globalData.gps)
    },
    getUserInfo: function(e) {
        console.log(e)
        if (e.detail.userInfo) {
            app.globalData.userInfo = e.detail.userInfo
            var userIds = app.globalData.userIds
            console.log(userIds)
            this.setData({
                userInfo: e.detail.userInfo,
                hasUserInfo: true,
                userIds: userIds
            })
            var param = {
                openid: app.globalData.userIds.openid,
                userInfo: e.detail.userInfo,
                signature: e.detail.signature,
                rawData: e.detail.rawData,
                iv: e.detail.iv,
                encryptedData: e.detail.encryptedData,
                appid:"wxab219319d77db3bb"
            }
            var self = this
            if (!userIds.userid) {
                wx.request({
                    url: 'https://sdsw.rooodad.com/' + 'rooodad/wx_getUserInfo',
                    data: param,
                    method: "POST",
                    header: {
                        'content-type': 'application/json' // 默认值
                    },
                    success: function (res) {
                        console.log(param)
                        console.log(res)
                        if (res.data.userid) {
                            userIds.userid = res.data.userid;
                        } else {
                            wx.showToast({
                                title: res.data.errmsg,
                                icon: 'none',
                                duration: 2000
                            })
                        }
                    }
                })
                app.globalData.userIds = userIds;
                self.setData({ userIds: userIds })
            }


        } else {
            this.setData({
                hasUserInfo: true
            })
        }

    }
})